import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Gemeenschappelijke bovenklasse voor alle voedsel.
 */
public class Voedsel extends Actor
{

    protected int pulsen;

    public Voedsel () {
        pulsen = 0;
    }

    public Oever getOever() {
        return getWorldOfType(Oever.class);
    }
    
    // Moet overschreven worden door elke onderklasse
    public void doeOnderaan() {
        
    }

    public void act() {
        pulsen = pulsen + 1;
        if (pulsen >= getOever().getSnelheid()) {
            setLocation (getX(), getY() + 1);
            pulsen = 0;

            if (getY() == 14) {
                doeOnderaan();
                getWorld().removeObject (this);
            }
        }
    }    

}
